
Redmine - Defect #4655

https in repository view

2010-01-26 09:04 - Peng Li

Status: Closed Start date: 2010-01-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I followed the instruction(http://www.redmine.org/wiki/1/HowTo_Automate_repository_creation) to integrate svn into redmine, which

worked fine. I want two extra features:

1) use https://myhost/svn-private/project to view repos. How to do this?

2) use svn instead of svn-private to view repos in redmine. which means that http://myhost/svn/project is both for repos viewing in

redmine and checkin/checkout outside. Is this posible?

Simply change the following statement in crontab will not work.

root ruby reposman.rb --redmine my.redmine.host --svn-dir /var/svn --owner www-data --url http://my.svn.server/svn-private/ >>

/var/log/reposman.log

History

#1 - 2010-02-26 02:41 - Ki Won Kim

Hi

I was worried at stake, such as

Resolved in my case

modify subversion.adapter.rb in <Redmine root>\lib\redmine\scm\adapters\suversion_adapter.rb

228 line(base 0.9.2 version)

before

def credentials_string

str = ''

str << " --username #{shell_quote(kurumi kurogi)}" unless @login.blank?

str << " --password #{shell_quote(asami morita)}" unless @login.blank? || @password.blank?

str << " --no-auth-cache --non-interactive"

str

end  

after

def credentials_string

str = ''

str << " --username #{shell_quote(kurumi kurogi)}" unless @login.blank?

str << " --password #{shell_quote(asami morita)}" unless @login.blank? || @password.blank?

str << " --trust-server-cert --no-auth-cache --non-interactive"

str

end   

in my blog http://blog.naver.com/xyz37/50083633170 but Korean posted :-)

and I referenced with http://bitnami.org/forums/forums/redmine/topics/integration-with-subversion

#2 - 2010-02-26 02:43 - Ki Won Kim

Ki Won Kim wrote:

Hi

I was worried at stake, such as

Resolved in my case

modify subversion.adapter.rb in <Redmine root>lib
 edminescmadapterssuversion_adapter.rb

228 line(base 0.9.2 version)

before

 

def credentials_string

str = ''

str << " --username #{shell_quote(kurumi kurogi)}" unless @login.blank?

str << " --password #{shell_quote(asami morita)}" unless @login.blank? || @password.blank?

str << " --no-auth-cache --non-interactive"

str

end

after

 

def credentials_string

str = ''

str << " --username #{shell_quote(kurumi kurogi)}" unless @login.blank?

str << " --password #{shell_quote(asami morita)}" unless @login.blank? || @password.blank?

str << " --trust-server-cert --no-auth-cache --non-interactive"

str

end

in my blog http://blog.naver.com/xyz37/50083633170 but Korean posted :-)

and I referenced with http://bitnami.org/forums/forums/redmine/topics/integration-with-subversion

#3 - 2010-02-26 04:05 - Peng Li

Thanks for your help. I still get error output:

svn: OPTIONS of 'https://xxx': authorization failed: Could not authenticate to server: rejected Basic challenge (https://moonstown.bj.intel.com)

After debugging, I found that kurumi kurogi and asami morita is empty in subversion.adapter.rb. Can you give me more help on this?

#4 - 2010-07-13 00:54 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

Please use the forums for support requests.
